%define	upstream_name	 PathTools
%define upstream_version 3.40

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Tools for working with paths and file specs across platforms
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/S/SM/SMUELLER/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl-devel
%description
Tools for working with paths and file specs across platforms.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make CFLAGS="%{optflags}"

%check
make test

%install
%makeinstall_std

%files
%doc Changes INSTALL META.json META.yml MYMETA.yml README
%{perl_vendorarch}/File
%{perl_vendorarch}/Cwd.pm
%{perl_vendorarch}/auto/Cwd
%{_mandir}/man3/*

%changelog
* Sat Oct 19 2013 umeabot <umeabot> 3.400.0-4.mga4
+ Revision: 524933
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 3.400.0-3.mga4
+ Revision: 431716
- perl 5.18.0 rebuild

* Wed May 29 2013 jquelin <jquelin> 3.400.0-2.mga4
+ Revision: 431253
- perl 5.18.0 rebuild

* Mon Mar 18 2013 jquelin <jquelin> 3.400.0-1.mga3
+ Revision: 403800
- update to 3.40

* Sun Jan 13 2013 umeabot <umeabot> 3.330.0-4.mga3
+ Revision: 371626
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 3.330.0-3.mga3
+ Revision: 251035
- rebuild for perl 5.16

* Fri Feb 18 2011 jquelin <jquelin> 3.330.0-2.mga2
+ Revision: 53701
- rebuild

* Wed Jan 19 2011 jquelin <jquelin> 3.330.0-1.mga1
+ Revision: 24470
- fix specs
- imported package perl-PathTools


* Thu Nov 11 2010 Guillaume Rousse <guillomovitch@mandriva.org> 3.330.0-1mdv2011.0
+ Revision: 595981
- update to new version 3.33

* Thu Aug 05 2010 Funda Wang <fwang@mandriva.org> 3.310.0-3mdv2011.0
+ Revision: 566439
- rebuild for perl 5.12.1

* Tue Jul 20 2010 Jérôme Quelin <jquelin@mandriva.org> 3.310.0-2mdv2011.0
+ Revision: 556070
- rebuild for perl 5.12

* Fri Nov 06 2009 Jérôme Quelin <jquelin@mandriva.org> 3.310.0-1mdv2010.1
+ Revision: 461777
- update to 3.31

* Tue Aug 04 2009 Jérôme Quelin <jquelin@mandriva.org> 3.300.0-2mdv2010.0
+ Revision: 408699
- force rebuild

* Mon May 25 2009 Jérôme Quelin <jquelin@mandriva.org> 3.300.0-1mdv2010.0
+ Revision: 379596
- using new %%perl_convert_version macro

* Mon May 11 2009 Jérôme Quelin <jquelin@mandriva.org> 3.30-1mdv2010.0
+ Revision: 374417
- update to new version 3.30

* Fri Nov 07 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.29-1mdv2009.1
+ Revision: 300672
- nouvelle version

* Thu Jul 31 2008 Thierry Vignaud <tv@mandriva.org> 3.27-4mdv2009.0
+ Revision: 258194
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.27-3mdv2009.0
+ Revision: 246274
- rebuild

* Tue Jan 22 2008 Guillaume Rousse <guillomovitch@mandriva.org> 3.27-1mdv2008.1
+ Revision: 156180
- update to new version 3.27
- update to new version 3.27

* Tue Jan 15 2008 Thierry Vignaud <tv@mandriva.org> 3.25-2mdv2008.1
+ Revision: 152231
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2008.0
+ Revision: 48706
- import perl-PathTools


* Thu Jul 05 2007 Guillaume Rousse <guillomovitch@mandriva.org> 3.25-1mdv2008.0
- first mdv release
